Bug 1613550 (CVE-2018-15120) - CVE-2018-15120 pango: application crash triggered by unicode chars in pango-emoji.c
Summary: CVE-2018-15120 pango: application crash triggered by unicode chars in pango-e...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-15120
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1619831 1619832 1624192
Blocks: 1613551
TreeView+ depends on / blocked
 
Reported: 2018-08-07 20:24 UTC by Laura Pardo
Modified: 2021-02-16 23:48 UTC (History)
18 users (show)

Fixed In Version: pango 1.42.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-13 11:55:47 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-08-07 20:24:53 UTC
A flaw was found in Pango since versions 1.40.8 up to newer. Typing certain invalid Emoji sequences into a GTK+ application can trigger a Reachable  Assertion resulting in an application crash.

Comment 1 Stefan Cornelius 2018-08-08 12:49:18 UTC
Statement:

This issue did not affect the versions of pango as shipped with Red Hat Enterprise Linux 5, 6, and 7 as they did not include support for emojis.

Comment 3 Laura Pardo 2018-08-21 20:33:10 UTC
Created pango tracking bugs for this issue:

Affects: fedora-all [bug 1619831]

Comment 12 Laura Pardo 2018-09-17 14:38:51 UTC
Acknowledgments:

Name: Jeffery M
Upstream: GNOME Project


Note You need to log in before you can comment on or make changes to this bug.